## UDisksLinuxNVMeFabrics

UDisksLinuxNVMeFabrics — Linux implementation of UDisksNVMeFabrics

## Functions

UDisksNVMeFabrics * | udisks_linux_nvme_fabrics_new ()
gboolean | udisks_linux_nvme_fabrics_update ()

## Types and Values

| UDisksLinuxNVMeFabrics

## Description

This type provides an implementation of the UDisksNVMeFabrics interface on Linux.

## Functions

### udisks_linux_nvme_fabrics_new ()

    UDisksNVMeFabrics *
    udisks_linux_nvme_fabrics_new (void);

Creates a new UDisksLinuxNVMeFabrics instance.

#### Returns

A new UDisksLinuxNVMeFabrics. Free with `g_object_unref()`.

### udisks_linux_nvme_fabrics_update ()

    gboolean
    udisks_linux_nvme_fabrics_update (UDisksLinuxNVMeFabrics *ctrl,
                                      UDisksLinuxDriveObject *object);

Updates the interface.

#### Parameters

ctrl | A UDisksLinuxNVMeFabrics. |
object | The enclosing UDisksLinuxDriveObject instance. |

#### Returns

`TRUE` if configuration has changed, `FALSE` otherwise.

## Types and Values

### UDisksLinuxNVMeFabrics

    typedef struct _UDisksLinuxNVMeFabrics UDisksLinuxNVMeFabrics;

The UDisksLinuxNVMeFabrics structure contains only private data and should only be accessed using the provided API.